using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;
using System.Security;

namespace Decal.Interop.Net;

[ComImport]
[TypeLibType(4160)]
[SuppressUnmanagedCodeSecurity]
[Guid("2D030423-5D22-4100-8C3A-6BF721C4DE50")]
public interface IMessageFactory
{
	[MethodImpl(MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
	[DispId(1610743808)]
	[return: MarshalAs(UnmanagedType.Interface)]
	IMessage2 CreateMessage(int pData, int size, bool outgoing);
}
